Subject: [P2PSIP] Question about base draft 9.7.4.4 Detecting partitioning

From: "Michael Chen" <[email-masked]>
Date: Sat, 03 Sep 2011 20:52:35 -0700

Hi,

Base draft section "9.7.4.4. Detecting partitioning" says,

  "P should then send a Ping for its own Node-ID routed through B."

Say you have a ring looks like this: ...-> X -> B -> Y -> P -> Z ->...
where B is P's bootstrap node.  If the overlay is healthy, wouldn't a
Ping to P's own Node-ID sent to B be routed back to P itself?  In that
case, P will not be able to discover its possible new successor Z.

Any thoughts? 

--Michael